package models

type CiosResponse struct {
	Data []struct {
		Dmsdocument struct {
			ID                       int         `json:"id"`
			Createddate              string      `json:"createdDate"`
			Createdby                int         `json:"createdBy"`
			Removeddate              string      `json:"removedDate"`
			Removedby                int         `json:"removedBy"`
			Updateddate              string      `json:"updatedDate"`
			Updatedby                int         `json:"updatedBy"`
			Documentpublicdate       string      `json:"documentPublicDate"`
			Documentexpiredate       string      `json:"documentExpireDate"`
			Dmsdocumentpreexpiredate interface{} `json:"dmsDocumentPreExpireDate"`
			Documentdate01           string      `json:"documentDate01"`
			Documentdate02           string      `json:"documentDate02"`
			Documentdate03           string      `json:"documentDate03"`
			Documentdate04           string      `json:"documentDate04"`
			Documentdate05           string      `json:"documentDate05"`
			Documentdate06           string      `json:"documentDate06"`
			Documentdate07           string      `json:"documentDate07"`
			Documentdate08           string      `json:"documentDate08"`
			Documentdate09           string      `json:"documentDate09"`
			Documentdate10           string      `json:"documentDate10"`
			Documentdate11           string      `json:"documentDate11"`
			Documentdate12           string      `json:"documentDate12"`
			Documentdate13           string      `json:"documentDate13"`
			Documentdate14           string      `json:"documentDate14"`
			Documentdate15           string      `json:"documentDate15"`
			Documentdate16           string      `json:"documentDate16"`
			Documentdate17           string      `json:"documentDate17"`
			Documentdate18           string      `json:"documentDate18"`
			Documentdate19           string      `json:"documentDate19"`
			Documentdate20           string      `json:"documentDate20"`
			Documentdate21           string      `json:"documentDate21"`
			Documentdate22           string      `json:"documentDate22"`
			Documentdate23           string      `json:"documentDate23"`
			Documentdate24           string      `json:"documentDate24"`
			Documentdate25           string      `json:"documentDate25"`
			Documentdate26           string      `json:"documentDate26"`
			Documentdate27           string      `json:"documentDate27"`
			Documentdate28           string      `json:"documentDate28"`
			Documentdate29           string      `json:"documentDate29"`
			Documentdate30           string      `json:"documentDate30"`
			Documentdate31           string      `json:"documentDate31"`
			Documentdate32           string      `json:"documentDate32"`
			Documentdate33           string      `json:"documentDate33"`
			Documentdate34           string      `json:"documentDate34"`
			Documentdate35           string      `json:"documentDate35"`
			Documentdate36           string      `json:"documentDate36"`
			Documentdate37           string      `json:"documentDate37"`
			Documentdate38           string      `json:"documentDate38"`
			Documentdate39           string      `json:"documentDate39"`
			Documentdate40           string      `json:"documentDate40"`
			Documenttypeid           int         `json:"documentTypeId"`
			Documentname             string      `json:"documentName"`
			Documentpublicstatus     interface{} `json:"documentPublicStatus"`
			Documentfolderid         int         `json:"documentFolderId"`
			Documentfloat01          float64     `json:"documentFloat01"`
			Documentfloat02          float64     `json:"documentFloat02"`
			Documentvarchar01        string      `json:"documentVarchar01"`
			Documentvarchar02        string      `json:"documentVarchar02"`
			Documentvarchar03        interface{} `json:"documentVarchar03"`
			Documentvarchar04        string      `json:"documentVarchar04"`
			Documentvarchar05        interface{} `json:"documentVarchar05"`
			Documentvarchar06        string      `json:"documentVarchar06"`
			Documentvarchar07        interface{} `json:"documentVarchar07"`
			Documentvarchar08        string      `json:"documentVarchar08"`
			Documentvarchar09        interface{} `json:"documentVarchar09"`
			Documentvarchar10        interface{} `json:"documentVarchar10"`
			Documentvarchar11        interface{} `json:"documentVarchar11"`
			Documentvarchar12        interface{} `json:"documentVarchar12"`
			Documentvarchar13        interface{} `json:"documentVarchar13"`
			Documentvarchar14        interface{} `json:"documentVarchar14"`
			Documentvarchar15        interface{} `json:"documentVarchar15"`
			Documenttext01           interface{} `json:"documentText01"`
			Documenttext02           string      `json:"documentText02"`
			Documenttext03           interface{} `json:"documentText03"`
			Documenttext04           interface{} `json:"documentText04"`
			Documenttext05           interface{} `json:"documentText05"`
			Documenttext06           interface{} `json:"documentText06"`
			Documenttext07           string      `json:"documentText07"`
			Documenttext08           interface{} `json:"documentText08"`
			Documenttext09           interface{} `json:"documentText09"`
			Documenttext10           interface{} `json:"documentText10"`
			Documenttext11           interface{} `json:"documentText11"`
			Documenttext12           string      `json:"documentText12"`
			Documenttext13           interface{} `json:"documentText13"`
			Documenttext14           interface{} `json:"documentText14"`
			Documenttext15           interface{} `json:"documentText15"`
			Documentint01            int         `json:"documentInt01"`
			Documentint02            int         `json:"documentInt02"`
			Documentint03            int         `json:"documentInt03"`
			Documentint04            int         `json:"documentInt04"`
			Documentint05            int         `json:"documentInt05"`
			Dmsdocumentsec           int         `json:"dmsDocumentSec"`
			Exptype                  interface{} `json:"expType"`
			Expnumber                int         `json:"expNumber"`
			Userprofilecreate        interface{} `json:"userProfileCreate"`
			Userprofileupdate        interface{} `json:"userProfileUpdate"`
			Userprofiledel           interface{} `json:"userProfileDel"`
			Isexp                    interface{} `json:"isExp"`
			Dmssearchid              string      `json:"dmsSearchId"`
			Fullpathname             interface{} `json:"fullPathName"`
			Borrowstatus             int         `json:"borrowStatus"`
			Checkinout               int         `json:"checkInOut"`
			Cojid                    interface{} `json:"cojId"`
			Docref                   interface{} `json:"docRef"`
			Judgeowner               string      `json:"judgeOwner"`
		} `json:"dmsDocument"`
		Listaattach []struct {
			ID             int         `json:"id"`
			Fileattachname string      `json:"fileAttachName"`
			Fileattachtype string      `json:"fileAttachType"`
			Fileattachsize int         `json:"fileAttachSize"`
			Linktype       string      `json:"linkType"`
			Linkid         int         `json:"linkId"`
			URL            interface{} `json:"url"`
			Thumbnailurl   interface{} `json:"thumbnailUrl"`
			Urlnoname      interface{} `json:"urlNoName"`
			Referenceid    int         `json:"referenceId"`
			Secrets        int         `json:"secrets"`
			Createddate    string      `json:"createdDate"`
			Createdname    string      `json:"createdName"`
			Createdby      int         `json:"createdBy"`
			Type           int         `json:"type"`
			Publicattach   int         `json:"publicAttach"`
			Auth           int         `json:"auth"`
			Order          float64     `json:"order"`
			Approve        int         `json:"approve"`
			Approvename    string      `json:"approveName"`
			Systemid       int         `json:"systemId"`
			Refno          interface{} `json:"refNo"`
			Amountpages    int         `json:"AmountPages"`
			Ownertype      string      `json:"ownerType"`
			Ownername      string      `json:"ownerName"`
			Inputfiletype  string      `json:"inputFileType"`
			ApproveDate    string      `json:"approveDate"`
		} `json:"listAattach"`
	} `json:"data"`
	Success      bool   `json:"success"`
	Errormessage string `json:"errorMessage"`
	Message      string `json:"message"`
}
